//
//  Shader.vsh
//  Solids
//
//  Created by Michael Heyeck on 2/5/11.
//  Copyright 2011 Fair Oaks Labs, Inc. All rights reserved.
//

attribute vec4 position;
attribute vec4 color;

varying vec4 colorVarying;

uniform float translate;

void main()
{
    gl_Position = position;
    gl_Position.y += sin(translate) / 2.0;

    colorVarying = color;
}
